# Type alias DatabaseClient

DatabaseClient: {
query: ((sql, parameters?) => Promise<{
rows: Row[];
}>);
}

#### Type declaration

- ##### query: ((sql, parameters?) => Promise<{
  rows: Row[];
  }>)

  - - (sql, parameters?): Promise<{
      rows: Row[];
      }>

    - #### Parameters

      - ##### sql: String

      - ##### `Optional` parameters: any[]

      #### Returns Promise<{
      rows: Row[];
      }>

- Defined in db-common/internal.ts:42

Generated using TypeDoc